This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 590023

Summary: [6.0 FEAT] Request for update of libservicelog to 1.1.9+ API
Product: Red Hat Enterprise Linux 6 Reporter: IBM Bug Proxy <bugproxy>
Component: libservicelogAssignee: Roman Rakus <rrakus>
Status: CLOSED CURRENTRELEASE QA Contact: qe-baseos-daemons
Severity: high Docs Contact:
Priority: high    
Version: 6.0CC: azelinka, jjarvis, jtakahas, rlerch, rvokal, sbest, sglass, snagar, tsmetana
Target Milestone: rcKeywords: FutureFeature, OtherQA, Rebase
Target Release: 6.0   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: libservicelog-1.1.9-1.el6 Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Just an update to newer version.
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-11-15 09:30:16 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 356741, 590010    

Description IBM Bug Proxy 2010-05-07 10:30:43 EDT
1. Feature Overview:
Feature Id: [63373]
a. Name of Feature: [6.0 FEAT] Request for update of libservicelog to 1.1.9+ API
b. Feature Description
libservicelog-1.0.1-3 and libservicelog-devel-1.0.1-3 packages are currently present in RHEL6, but a
major rewrite, which altered the API, occurred in Dec 09. This request is to update both packages to
the latest code, v1.1.x.

Source can be downloaded from:
http://sourceforge.net/projects/linux-diag/files/libservicelog/1.1/libservicelog-1.1.9.tar.gz/download


2. Feature Details:
Sponsor: LTC RAS
Architectures:
  ppc64

Arch Specificity: purely arch specific code
Affects Kernel Modules: No
Delivery Mechanism: Direct from Community
Category: system management
Request Type: Toolchain - Enhancement from Upstream
d. Upstream Acceptance: No Code Required
Sponsor Priority P2
f. Severity: high
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target:
---

3. Business Case
Several RAS and server management tools, such as IBM Director, use servicelog to access a history of
system events.  In Dec of last year, we had to introduce a new API, v1.1, which merges the old 0.2.9
API with that of v1.0.  We need to get this new API into RHEL6, in order to allow Director to manage
a RHEL6 lpar.  


4. Primary contact at Red Hat:
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael W. Wortman, wortman@us.ibm.com

Technical contact(s):
NAREN A. DEVAIAH, naren.devaiah@in.ibm.com

=Comment: #1=================================================
   BRAD PETERS <bpeters@linux.vnet.ibm.com> - 

   Latest code version is still 1.1.9, and the link provided in the feature description is still valid.
Comment 2 Roman Rakus 2010-05-14 07:34:12 EDT
Fixed in libservicelog-1.1.9-1.el6
Comment 3 Roman Rakus 2010-05-14 07:34:55 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Just an update to newer version.
Comment 4 John Jarvis 2010-05-14 10:15:22 EDT
Pasting email clarification from IBM contact on this request just to make sure we get everything done:
=====================
This is odd; to me, it appears like the (463284) request was meant to add the servicelog package, but somehow it got garbled and resulted in the addition of only libservicelog.

To clarify, libservicelog and servicelog work together to provide the event DB, notifications, and repair functions. Ideally we want both to be present.

From where things currently stand, it seems we need to rebase libservicelog to 1.1.9, then add servicelog-1.1.7 since, at least as of RHEL6-snapshot1 (from may 7, ftp3), it is not yet present.
Comment 5 John Jarvis 2010-05-14 10:17:35 EDT
BZ 590010 is tracking Servicelog inclusion.
Comment 8 releng-rhel@redhat.com 2010-11-15 09:30:16 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.